import { Component, OnInit } from '@angular/core';
import { ExamSubjectScoreDetailComponent } from '../exam-subject-score-detail/exam-subject-score-detail.component';
import { ExamSubjectScoreConfigComponent } from '../exam-subject-score-config/exam-subject-score-config.component';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';
import { BsModalService } from 'ngx-bootstrap/modal';

@Component({
  selector: 'app-exam-subject-score',
  templateUrl: './exam-subject-score.component.html',
  styleUrls: ['./exam-subject-score.component.scss']
})
export class ExamSubjectScoreComponent  extends FramePageComponent implements OnInit {

  constructor(modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ExamSubjectScoreDetailComponent;
   }

  ngOnInit() {
  }

  showSubjectConf(score: any) {
    this.showComponentModal(ExamSubjectScoreConfigComponent, {
      'ResponseEntity': score
    }, {class: 'modal-7p'})
  } 

}
